Bug 242855 - SELinux denial with prelink+nethack on new F7 install (yup, again)
Summary: SELinux denial with prelink+nethack on new F7 install (yup, again)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 04:45 UTC by vfiend
Modified: 2008-01-21 15:42 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vfiend 2007-06-06 04:45:54 UTC
Summary
    SELinux is preventing /usr/sbin/prelink (prelink_t) "create" on
    nethack.#prelink#.vi2er6 (usr_t).

...

Additional Information        

Source Context                system_u:system_r:prelink_t
Target Context                system_u:object_r:usr_t
Target Objects                nethack.#prelink#.vi2er6 [ file ]
Affected RPM Packages         prelink-0.3.10-1 [application]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.prelink_mislabled
Host Name                     monolith
Platform                      Linux monolith 2.6.21-1.3194.fc7 #1 SMP Wed May 23
                              22:47:07 EDT 2007 x86_64 x86_64
Alert Count                   1
First Seen                    Tue 05 Jun 2007 05:05:21 AM PDT
Last Seen                     Tue 05 Jun 2007 05:05:21 AM PDT
Local ID                      326e4bdd-0341-4d17-89b0-ed3066d03bf3
Line Numbers                  

Raw Audit Messages            

avc: denied { create } for comm="prelink" egid=0 euid=0 exe="/usr/sbin/prelink"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="nethack.#prelink#.vi2er6" pid=5116
scontext=system_u:system_r:prelink_t:s0 sgid=0
subj=system_u:system_r:prelink_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:usr_t:s0 tty=(none) uid=0

Comment 1 Daniel Walsh 2007-06-06 15:49:02 UTC
Should be fixed in selinux-policy-2.6.4-13


Note You need to log in before you can comment on or make changes to this bug.